DragonPrime - LoGD Resource Community
Welcome Guest
  • Good morning, Guest.
    Please log in, or register.
  • November 12, 2018, 10:46:20 AM
Home Forums News Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
Search

Pages: [1]   Go Down
  Print  
Author Topic: prob with installer.php  (Read 4315 times)
0 Members and 1 Guest are viewing this topic.
munin
Guest
« on: February 06, 2006, 06:04:37 AM »

well try to setup the DB for the game (1.0.6) over installer.php

and if it comes to test db I get an error

Call Stack:
2: mysql_connect("localhost", "root", "password") called from E:\Inetpub\webpub\lotgd\installer.php on line 1140

I dont know what to do because the information given is correct

mysql version is 4.1 had 5.0 and thought thats the prob but with the older version it still the same prob

could the IIS be the prob ? because I dont use a appache

hope someone can help

regards munin

if someone has a tutorial or a howto do would be fine too


Logged
XChrisX
Global Moderator
Mod God
*****
Offline Offline

Posts: 4647

Be aware of the squirrel!


View Profile WWW
« Reply #1 on: February 06, 2006, 06:15:09 AM »

You should post the complete error message... Havin only the second line of the error is not very helpful... Smiley

(btw: your root account's password is really "password"?)
Logged

Running for more than three years now:
munin
Guest
« Reply #2 on: February 06, 2006, 06:23:00 AM »

You should post the complete error message... Havin only the second line of the error is not very helpful... Smiley

(btw: your root account's password is really "password"?)

lol no its just an example but it hits the point lol

but well here we go :

Trying to establish a connection with the database:
PHP Warning: "mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client"
in E:\Inetpub\webpub\lotgd\installer.php at 1140.

Call Stack:
2: mysql_connect("localhost", "root", "password") called from E:\Inetpub\webpub\lotgd\installer.php on line 1140

Blast! I wasn't able to connect to the database server with the information you provided! This means that either the database server address, database username, or database password you provided were wrong, or else the database server isn't running. The specific error the database returned was:
Logged
XChrisX
Global Moderator
Mod God
*****
Offline Offline

Posts: 4647

Be aware of the squirrel!


View Profile WWW
« Reply #3 on: February 06, 2006, 06:36:40 AM »

hmmm... beside IIS (which is not really tested with this software), do you have the correct mysql client installed for PHP?

You might be running with a 4.1 client and a 5.0 server (or vice versa), which might result in this error message...
Logged

Running for more than three years now:
Imperialx
Guest
« Reply #4 on: February 06, 2006, 07:30:38 AM »

Ugh man...get rid of IIS. As a matter of fact get rid of the entire package including IIS, mysql and anything else.

Download this:
http://www.appservnetwork.com
Logged
XChrisX
Global Moderator
Mod God
*****
Offline Offline

Posts: 4647

Be aware of the squirrel!


View Profile WWW
« Reply #5 on: February 06, 2006, 08:41:36 AM »

As this website is very, very slow, you could also use EasyPHP or XAMPP. At least the last gives you the choice to install either PHP4 or PHP5. There are also some restrictions when using mySQL5 - so having a mysql4.1 server would be the better choice. Smiley
Logged

Running for more than three years now:
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5479



View Profile WWW
« Reply #6 on: February 06, 2006, 11:57:19 AM »

Did you create the game's database, user and password before running installer.php?  The game install does not create the database for you...
Logged

Play the latest beta version here on DragonPrime
XChrisX
Global Moderator
Mod God
*****
Offline Offline

Posts: 4647

Be aware of the squirrel!


View Profile WWW
« Reply #7 on: February 06, 2006, 12:20:40 PM »

PHP Warning: "mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client"
Grin The connection to the database server cannot be established... Grin
Logged

Running for more than three years now:
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5479



View Profile WWW
« Reply #8 on: February 06, 2006, 12:52:09 PM »

Oops...missed that.  I wonder if he had mySQL started...
Logged

Play the latest beta version here on DragonPrime
Pages: [1]   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Version 1.1.2 is the current supported version and is available for download.

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Recent Topics
DragonPrime LoGD
Who's Online
78 Guests, 0 Users
Home Forums News Downloads Login Register Advanced Search